Bug 1230536

Summary: CVE-2015-3209 qemu: pcnet: multi-tmd buffer overflow in the tx path [fedora-all]
Product: [Fedora] Fedora Reporter: Petr Matousek <pmatouse>
Component: qemuAssignee: Fedora Virtualization Maintainers <virt-maint>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: high    
Version: 22CC: amit.shah, berrange, cfergeau, crobinso, dac, dwmw2, itamar, pbonzini, rjones, virt-maint
Target Milestone: ---Keywords: Security, SecurityTracking
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: fst_owner=dcafaro, fst_ping=1
Fixed In Version: 2.1.3-9.fc21 Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-08-18 05:15:56 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1225882    

Description Petr Matousek 2015-06-11 06:58:08 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Petr Matousek 2015-06-11 06:58:16 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1225882,1230536

# Description of your update
notes=Security fix for CVE-2015-3209, xsa135

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1225882,1230536

Comment 2 David A. Cafaro 2015-08-05 14:03:56 UTC
Any work begone on getting this patched?  Could also be combined with work on this ticket:

https://bugzilla.redhat.com/show_bug.cgi?id=1247141

Comment 3 Cole Robinson 2015-08-05 14:07:43 UTC
(In reply to David A. Cafaro from comment #2)
> Any work begone on getting this patched?  Could also be combined with work
> on this ticket:
> 
> https://bugzilla.redhat.com/show_bug.cgi?id=1247141

I'll mop up these CVEs by end of the week; sorry I've been offline a lot the past couple weeks

Comment 4 Fedora Update System 2015-08-09 22:09:46 UTC
qemu-2.4.0-0.2.rc4.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/qemu-2.4.0-0.2.rc4.fc23

Comment 5 Fedora Update System 2015-08-10 10:11:55 UTC
Package qemu-2.4.0-0.2.rc4.fc23:
* should fix your issue,
* was pushed to the Fedora 23 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing qemu-2.4.0-0.2.rc4.fc23'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-13131/qemu-2.4.0-0.2.rc4.fc23
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2015-08-11 22:10:50 UTC
qemu-2.3.0-7.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/qemu-2.3.0-7.fc22

Comment 7 Fedora Update System 2015-08-11 22:10:59 UTC
qemu-2.1.3-9.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/qemu-2.1.3-9.fc21

Comment 8 Fedora Update System 2015-08-12 13:35:59 UTC
qemu-2.4.0-1.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/qemu-2.4.0-1.fc23

Comment 9 Fedora Update System 2015-08-12 13:36:14 UTC
qemu-2.3.1-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/qemu-2.3.1-1.fc22

Comment 10 Fedora Update System 2015-08-18 05:15:56 UTC
qemu-2.3.1-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2015-08-23 16:40:53 UTC
qemu-2.4.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2015-09-01 07:26:18 UTC
qemu-2.1.3-9.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.